; Installation du WorldWind TravelBook


[Setup]
AppName=worldwind TravelBook
AppVerName=WorldWind TravelBook 1.0.1
OutputBaseFilename=WorldWind_TravelBook_Setup
DefaultDirName={pf}\NASA\TravelBook
DefaultGroupName=NASA

WizardImageFile=setup\setupsmall.bmp
WizardSmallImageFile=setup\setupsmallsmall.bmp

[Files]
Source: cible\*; DestDir: {app}; Flags: recursesubdirs replacesameversion
Source: setup\setup.bmp; DestDir: {app}; Flags: dontcopy
Source: setup\setupsmall.bmp; DestDir: {app}; Flags: dontcopy

[Run]
;Filename: "{tmp}\regsvr32.exe"; Parameters: """{tmp}\c32cs.dll"""

[UninstallRun]

[Languages]
Name: En; MessagesFile: "compiler:Default.isl"
Name: Fr; MessagesFile: compiler:Languages\French.isl; LicenseFile: setup\licence.txt

[Icons]
Name: "{group}\TravelBook"; Filename: "{app}\worldwind TravelBook.exe"; WorkingDir: "{app}";
Name: "{group}\Desinstaller WorldWind TravelBook"; Filename: "{uninstallexe}"

; NOTE: Most apps do not need registry entries to be pre-created. If you
; don't know what the registry is or if you need to use it, then chances are
; you don't need a [Registry] section.

[Registry]


[Code]

procedure InitializeWizard();
var
  SplashImage: TBitmapImage;
  SplashForm: TForm;
  SplashFileName: String;
  I : Integer;
begin

  SplashFileName := ExpandConstant('{tmp}\setup.bmp');
  ExtractTemporaryFile(ExtractFileName(SplashFileName));

  SplashForm := TForm.create(nil);
  with SplashForm do
   begin
    BorderStyle := bsNone;
    Position := poScreenCenter;
    // Adjust the height and width of the SplashForm to the size of your splash image
    ClientWidth := 520;
    ClientHeight := 318;
   end;

  SplashImage := TBitmapImage.Create(SplashForm);
  with SplashImage do
    begin
    Bitmap.LoadFromFile(SplashFileName);
    Stretch := true;
    Align := alClient;
    Parent := SplashForm;
    end;

  with SplashForm do
   begin
     Show;
     // show for five seconds
     for I := 1 to 5 do
      begin
       Repaint;
       Sleep(1000);
      end;
     Close;
     Free;
   end;
end;
